# Class SSIFsize

java.lang.Object
org.apache.catalina.ssi.SSIFsize

All Implemented Interfaces:
  `SSICommand`

public final class SSIFsize extends Object implements SSICommand
Implements the Server-side #fsize command.

## Constructor Summary

Constructors
Constructor
Description
`SSIFsize()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`padLeft(String str, int maxChars)`
Pads the given string with leading spaces to reach the specified maximum length.
`long`
`process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
Processes the fsize directive to output the size of a file.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSIFsize

public SSIFsize()
Default constructor.

## Method Details

### process

public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
Processes the fsize directive to output the size of a file.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands

### padLeft

public String padLeft(String str, int maxChars)
Pads the given string with leading spaces to reach the specified maximum length.

Parameters:
  `str` - the string to pad
  `maxChars` - the target length
Returns:
  the padded string